MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025182Open CASCADE[OCCT] OCCT:Codingpublic2014-08-21 08:152017-06-28 10:34
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025182: Standard_OVERRIDE - add alias for C++11 "override" specifier
DescriptionIn C++11 virtual functions might be declared with "override" specifier.
Being specified for method undeclared in base class, compiler will generate error.
This might significantly simplify porting changes in base interfaces.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0028877closedbugmaster Documentation - fix unclosed tag in coding_rules.md 
related to 0025183closedbugmaster WOK - add "Standard_Override" specifier to redefined methods 

-  Notes
(0030965)
git (administrator)
2014-08-21 08:57

Branch CR25182 has been created by kgv.

SHA-1: 6fb9b9b7c2ab4196a039c4952dd5d6ef3a60481b


Detailed log of new commits:

Author: kgv
Date: Thu Aug 21 08:56:59 2014 +0400

    0025182: Standard_OVERRIDE - add alias for C++11 "override" specifier
(0030966)
kgv (developer)
2014-08-21 08:58

Patch is ready for review in branch CR25182.
(0030990)
abv (manager)
2014-08-21 12:42

Reviewed, please test compilation on all supported platforms
(0031034)
git (administrator)
2014-08-22 15:31

Branch CR25182 has been updated forcibly by inv.

SHA-1: c686e0e354659e1f73e13cb326881478dd54ae29
(0031147)
kgv (developer)
2014-08-28 12:52

Dear bugmaster,

please don't forget this patch.
(0031150)
bugmaster (administrator)
2014-08-28 13:42
edited on: 2014-08-28 13:44

Fix compiled on all platforms successfully.
But please comment new warnings:
http://jenkins-merge.nnov.opencascade.com:8080/job/inv_OCCT_CR25182_Products_master_OCCT_Windows-32-VC10_compile/1/warnings26Result/? [^]

(0031151)
git (administrator)
2014-08-28 14:05

Branch CR25182_1 has been created by kgv.

SHA-1: acd51e29ed0f5f3551b1da9fb2ef87a639c1c57b


Detailed log of new commits:

Author: kgv
Date: Thu Aug 28 14:05:21 2014 +0400

    0025182: Standard_OVERRIDE - add alias for C++11 "override" specifier
(0031152)
kgv (developer)
2014-08-28 14:06

Patch has been updated to require VS2012+ for this feature, pushed to branch CR25182_1.
(0031217)
bugmaster (administrator)
2014-09-01 14:33

CR25182_1 was rebased om master with name IR-CR25182-1

Fix compiled on all platforms successfully.
New warnings are from 24837

http://jenkins-merge.nnov.opencascade.com:8080/job/inv_OCCT_IR-CR25182-1_Products_master_release/ [^]
(0031482)
git (administrator)
2014-09-08 15:52

Branch CR25182 has been deleted by inv.

SHA-1: c686e0e354659e1f73e13cb326881478dd54ae29
(0031483)
git (administrator)
2014-09-08 15:52

Branch CR25182_1 has been deleted by inv.

SHA-1: acd51e29ed0f5f3551b1da9fb2ef87a639c1c57b

- Related Changesets
occt: master a3157439
Timestamp: 2014-08-28 10:05:21
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025182: Standard_OVERRIDE - add alias for C++11 "override" specifier
mod - dox/dev_guides/contribution/coding_rules.md Diff ] File ]
mod - src/AIS/AIS_ColoredShape.hxx Diff ] File ]
mod - src/Standard/Standard_Macro.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-21 08:15 kgv New Issue
2014-08-21 08:15 kgv Assigned To => kgv
2014-08-21 08:57 git Note Added: 0030965
2014-08-21 08:58 kgv Note Added: 0030966
2014-08-21 08:58 kgv Assigned To kgv => abv
2014-08-21 08:58 kgv Status new => resolved
2014-08-21 09:10 kgv Relationship added related to 0025183
2014-08-21 12:42 abv Note Added: 0030990
2014-08-21 12:42 abv Assigned To abv => bugmaster
2014-08-21 12:42 abv Status resolved => reviewed
2014-08-21 18:32 apv Assigned To bugmaster => apv
2014-08-22 14:17 bugmaster Assigned To apv => bugmaster
2014-08-22 15:31 git Note Added: 0031034
2014-08-28 12:52 kgv Note Added: 0031147
2014-08-28 13:41 bugmaster Assigned To bugmaster => kgv
2014-08-28 13:42 bugmaster Note Added: 0031150
2014-08-28 13:42 bugmaster Status reviewed => assigned
2014-08-28 13:44 bugmaster Note Edited: 0031150 View Revisions
2014-08-28 14:05 git Note Added: 0031151
2014-08-28 14:06 kgv Note Added: 0031152
2014-08-28 14:06 kgv Assigned To kgv => bugmaster
2014-08-28 14:06 kgv Status assigned => resolved
2014-08-28 14:06 kgv Status resolved => reviewed
2014-09-01 14:33 bugmaster Note Added: 0031217
2014-09-01 14:33 bugmaster Status reviewed => tested
2014-09-05 14:09 bugmaster Changeset attached => occt master a3157439
2014-09-05 14:09 bugmaster Status tested => verified
2014-09-05 14:09 bugmaster Resolution open => fixed
2014-09-08 15:52 git Note Added: 0031482
2014-09-08 15:52 git Note Added: 0031483
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed
2017-06-28 10:34 kgv Relationship added parent of 0028877


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker